<?xml version="1.0" encoding="UTF-8"?>

<!-- IGAC proyecto SNC 

@author juan.agudelo		 
@description Bloquear persona
@cu CU-CO-R-07
@version 2.0	 	
@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2 
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="../templates/generalCU.xhtml">

    <ui:define name="content">
        <!-- CASO DE USO CU-NP-CO-092 -->


        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />


        <p:messages id="msgsBP" showDetail="false" globalOnly="false" />

        <p:spacer height="9" width="0" />

        <p:tabView dynamic="true" cache="false" id="bloquearPersonaTabView">
            <p:ajax event="tabChange" listener="#{bloqueoPersona.cambioTab}"
                    update=":msgsBP, solDocFormUP, bloquearPersonaForm" />
            <p:tab title="Buscar personas marcadas">
                <h:form id="bloquearPersonaForm">
                    <p:fieldset toggleable="false">
                        <legend> <h:outputText value="Datos de búsqueda"
                                               styleClass="legendTitle" /> </legend>

                        <p:spacer height="8" width="0" />
                        <h:panelGrid columns="8" cellspacing="7" width="100%">
                            <h:panelGrid columns="2">
                                <h:outputLabel value="Tipo de identificación: "
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                            </h:panelGrid>
                            <h:panelGrid columns="2">
                                <h:selectOneMenu id="tipoIdentificacion"
                                                 label="Tipo de identificación"
                                                 value="#{bloqueoPersona.tipoIdentificacion}" required="true"
                                                 requiredMessage="Debe seleccionar el tipo de identificación.">
                                    <f:selectItems
                                        value="#{bloqueoPersona.personaTiposIdentificacion}" />
                                </h:selectOneMenu>
                                <p:message for="tipoIdentificacion" display="icon"></p:message>
                            </h:panelGrid>
                            <h:panelGrid columns="2">
                                <h:outputLabel value="Número de identificación: "
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                            </h:panelGrid>
                            <h:panelGrid columns="2">
                                <h:inputText id="numeroIdentificacion"
                                             value="#{bloqueoPersona.numeroIdentificacion}" size="25"
                                             maxlength="18" required="true"  requiredMessage="Debe escribir el número de identificación."
                                             label="Número de identificación" />
                                <p:message for="numeroIdentificacion" display="icon"></p:message>
                            </h:panelGrid>

                            <p:outputPanel layout="block" style="text-align:right">
                                <p:commandButton value="Buscar" onstart="statusDialog2.show();"
                                                 oncomplete="statusDialog2.hide();"
                                                 action="#{bloqueoPersona.buscar}" id="btnBuscar" ajax="false"
                                                 update="res, :msgsBP" icon="ui-icon-search" />
                            </p:outputPanel>
                        </h:panelGrid>
                    </p:fieldset>

                    <p:spacer width="0" height="15" />

                    <p:dataTable value="#{bloqueoPersona.personasBloqueadas}"
                                 var="currentBloqueo" id="res" widgetVar="res"
                                 emptyMessage="No se encontraron personas marcadas."
                                 rendered="#{bloqueoPersona.banderaBuscar}" paginator="true"
                                 rows="10" paginatorPosition="bottom"
                                 rowsPerPageTemplate="10,20,30"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}">

                        <f:facet name="header">  
                            Resultados de la búsqueda 
                        </f:facet>

                        <p:column>
                            <f:facet name="header">
                                Nombre								
                            </f:facet>
                            <h:outputText value="#{currentBloqueo.persona.nombre}" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Tipo <br />
                                identificación								
                            </f:facet>
                            <h:outputText
                                value="#{currentBloqueo.persona.tipoIdentificacion}" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Número <br />
                                identificación								
                            </f:facet>
                            <h:outputText
                                value="#{currentBloqueo.persona.numeroIdentificacion}" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Fecha 
                                inicial		<br />
                                marcación						
                            </f:facet>
                            <h:outputText value="#{currentBloqueo.fechaInicioBloqueo}">
                                <f:convertDateTime pattern="#{general.formatoFechaHora}"
                                                   locale="es_CO" timeZone="GMT-5" />
                            </h:outputText>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Fecha 
                                final	<br />
                                marcación						
                            </f:facet>
                            <h:outputText value="#{currentBloqueo.fechaTerminaBloqueo}">
                                <f:convertDateTime pattern="#{general.formatoFechaHora}"
                                                   locale="es_CO" timeZone="GMT-5" />
                            </h:outputText>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Fecha 
                                <br />
                                de desmarque					
                            </f:facet>
                            <h:outputText value="#{currentBloqueo.fechaDesbloqueo}">
                                <f:convertDateTime pattern="#{general.formatoFechaHora}"
                                                   locale="es_CO" timeZone="GMT-5" />
                            </h:outputText>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Motivo <br /> de la marcación								
                            </f:facet>
                            <h:outputText value="#{currentBloqueo.motivoBloqueo}" />
                        </p:column>

                        <p:column>

                            <f:facet name="header">
                                Documento <br />
                                de soporte								
                            </f:facet>

                            <p:commandLink
                                value="#{currentBloqueo.documentoSoporteBloqueo.archivo}"
                                update=":docVDocSoporte:docViewerCCForm"
                                styleClass="commandLinkStyle"
                                oncomplete="docViewerDSWV.show();statusDialog2.hide()"
                                onstart="statusDialog2.show()"
                                rendered="#{not empty currentBloqueo.documentoSoporteBloqueo.archivo}">
                                <f:setPropertyActionListener
                                    target="#{previsualizacionDocumento.documentoAlfresco}"
                                    value="#{currentBloqueo.documentoSoporteBloqueo}" />
                                <f:setPropertyActionListener
                                    target="#{bloqueoPersona.documentoTemporalAVisualizar}"
                                    value="#{currentBloqueo.documentoSoporteBloqueo}" />

                            </p:commandLink>

                        </p:column>

                    </p:dataTable>
                </h:form>
            </p:tab>

            <p:tab id="bloquearPersonasTab" title="Marcar personas">
                <h:form id="solDocFormUP" prependId="false"
                        enctype="multipart/form-data">
                    <p:fieldset id="bloquearPersonasForm2" toggleable="false">
                        <legend> <h:outputText value="Elegir marcación"
                                               styleClass="legendTitle" /> </legend>

                        <h:panelGrid columns="2">
                            <h:outputLabel value="Tipo de marcación: "
                                           styleClass="outputLabelStyle" />

                            <h:selectOneRadio value="#{bloqueoPersona.tipoBloqueo}">
                                <f:selectItem itemLabel="Individual" itemValue="0" />
                                <f:selectItem itemLabel="Masivo" itemValue="2" />
                                <p:ajax update=":msgsBP, solDocFormUP"
                                        listener="#{bloqueoPersona.bloquearV}"
                                        onstart="statusDialog2.show();"
                                        oncomplete="statusDialog2.hide();" />
                            </h:selectOneRadio>
                        </h:panelGrid>

                    </p:fieldset>

                    <p:spacer height="7" width="0" />

                    <p:fieldset id="bloquearPersonasForm3" toggleable="false"
                                rendered="#{!bloqueoPersona.laBandera}">
                        <legend> <h:outputText value="Datos de la marcación"
                                               styleClass="legendTitle" /> </legend>

                        <p:fieldset id="fInicial1"
                                    rendered="#{bloqueoPersona.tipoBloqueo0}" style="border: 0px">

                            <h:panelGrid columns="2">
                                <h:outputLabel value="Tipo de persona: "
                                               styleClass="outputLabelStyle" />

                                <h:selectOneRadio value="#{bloqueoPersona.tipoPersona}">
                                    <f:selectItem itemLabel="Natural" itemValue="0" />
                                    <f:selectItem itemLabel="Jurídica" itemValue="1" />
                                    <p:ajax update=":msgsBP, solDocFormUP" process="@this"
                                            listener="#{bloqueoPersona.bloquearTipoPersona}"
                                            onstart="statusDialog2.show();"
                                            oncomplete="statusDialog2.hide();" />
                                </h:selectOneRadio>
                            </h:panelGrid>
                            <p:separator />
                            <h:panelGrid columns="4">
                                <h:panelGrid columns="2">
                                    <h:panelGrid columns="2">
                                        <h:outputLabel value="Tipo de identificación: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                    </h:panelGrid>
                                    <h:panelGrid columns="2">
                                        <h:selectOneMenu id="tipoIdentificacion2"
                                                         label="Tipo de identificación"
                                                         rendered="#{bloqueoPersona.tipoPersonaN}"
                                                         value="#{bloqueoPersona.personaBloqueo.persona.tipoIdentificacion}"
                                                         required="true" requiredMessage="Debe seleccionar el tipo de identificación.">
                                            <f:selectItems
                                                value="#{bloqueoPersona.personaTiposIdentificacion}" />
                                            <p:ajax process="@this" onstart="statusDialog2.show();"
                                                    oncomplete="statusDialog2.hide();" />
                                        </h:selectOneMenu>

                                        <h:outputText
                                            value="#{bloqueoPersona.personaBloqueo.persona.tipoIdentificacion}"
                                            id="PersonaTipoIdentificacionV" styleClass="outputTextStyle"
                                            rendered="#{bloqueoPersona.tipoPersonaJ}">
                                            <f:converter converterId="converterCB"
                                                         for="PersonaTipoIdentificacionV" />
                                        </h:outputText>
                                        <p:message for="tipoIdentificacion2" display="icon"></p:message>
                                    </h:panelGrid>
                                </h:panelGrid>
                                <h:panelGrid columns="3">
                                    <h:panelGrid columns="2">
                                        <h:outputLabel value="Número identificación: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                    </h:panelGrid>
                                    <h:panelGrid columns="2" id="ni">
                                        <h:inputText id="numeroIdentificacion" maxlength="18"
                                                     value="#{bloqueoPersona.personaBloqueo.persona.numeroIdentificacion}"
                                                     required="true" requiredMessage="Debe escribir el número de identificación."
                                                     label="Número identificación" />
                                        <p:message for="numeroIdentificacion" display="icon"></p:message>
                                    </h:panelGrid>
                                    <p:commandButton icon="ui-icon-search"
                                                     process="@this,numeroIdentificacion,tipoIdentificacion2"
                                                     title="Buscar persona" onstart="statusDialog2.show();"
                                                     oncomplete="statusDialog2.hide(); handleCompleteSIC(xhr, status, args, listaPropietariosWV, true)"
                                                     update="primerApellido,segundoApellido,primerNombre,segundoNombre,razonSocial,dv,:msgsBP,ni, :listaPropietariosForm"
                                                     action="#{bloqueoPersona.buscarPersona}" />
                                </h:panelGrid>
                            </h:panelGrid>

                            <p:fieldset id="b1" rendered="#{bloqueoPersona.tipoPersonaN}"
                                        style="border:0px">

                                <f:facet name="header">
                                    Persona natural </f:facet>
                                <p:fieldset>
                                    <h:panelGrid columns="2" id="bloqueoI">

                                        <h:panelGrid columns="3">
                                            <h:panelGrid columns="2">
                                                <h:outputLabel value="Primer apellido: "
                                                               styleClass="outputLabelStyle" />
                                                <ui:remove>
                                                    <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                                </ui:remove>
                                            </h:panelGrid>
                                            <p:spacer height="0" width="40" />
                                            <h:panelGrid columns="2">
                                                <h:inputText id="primerApellido" maxlength="50"
                                                             value="#{bloqueoPersona.personaBloqueo.persona.primerApellido}"
                                                             required="false" label="Primer apellido" />
                                                <p:message for="primerApellido" display="icon"></p:message>
                                            </h:panelGrid>
                                        </h:panelGrid>
                                        <h:panelGrid columns="3">
                                            <h:panelGrid columns="2">
                                                <h:outputLabel value="Segundo apellido: "
                                                               styleClass="outputLabelStyle" />
                                            </h:panelGrid>
                                            <p:spacer height="0" width="30" />
                                            <h:panelGrid columns="2">
                                                <h:inputText id="segundoApellido" maxlength="50"
                                                             value="#{bloqueoPersona.personaBloqueo.persona.segundoApellido}"
                                                             label="Segundo apellido" />
                                            </h:panelGrid>
                                        </h:panelGrid>

                                        <h:panelGrid columns="3">
                                            <h:panelGrid columns="2">
                                                <h:outputLabel value="Primer nombre: "
                                                               styleClass="outputLabelStyle" />
                                                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                            </h:panelGrid>
                                            <p:spacer height="0" width="30" />
                                            <h:panelGrid columns="2">
                                                <h:inputText id="primerNombre" maxlength="50"
                                                             value="#{bloqueoPersona.personaBloqueo.persona.primerNombre}"
                                                             required="true" requiredMessage="Debe escribir el primer nombre de la persona."
                                                             label="Primer nombre" />
                                                <p:message for="primerNombre" display="icon"></p:message>
                                            </h:panelGrid>
                                        </h:panelGrid>
                                        <h:panelGrid columns="3">
                                            <h:panelGrid columns="2">
                                                <h:outputLabel value="Segundo nombre: "
                                                               styleClass="outputLabelStyle" />

                                            </h:panelGrid>
                                            <p:spacer height="0" width="24" />
                                            <h:panelGrid columns="2">
                                                <p:spacer height="0" width="5" />
                                                <h:inputText id="segundoNombre" maxlength="50"
                                                             value="#{bloqueoPersona.personaBloqueo.persona.segundoNombre}"
                                                             label="Segundo nombre" />

                                            </h:panelGrid>
                                        </h:panelGrid>

                                    </h:panelGrid>
                                </p:fieldset>
                            </p:fieldset>

                            <p:spacer width="0" height="13" />

                            <p:fieldset id="b01" rendered="#{!bloqueoPersona.tipoPersonaN}"
                                        style="border:0px">

                                <f:facet name="header">
                                    Persona Juridica </f:facet>
                                <p:fieldset>

                                    <h:panelGrid columns="5">
                                        <h:panelGrid columns="2">
                                            <h:panelGrid columns="2">
                                                <h:outputLabel value="Razón social: "
                                                               styleClass="outputLabelStyle" />
                                                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                            </h:panelGrid>
                                            <h:panelGrid columns="2">
                                                <h:inputText id="razonSocial" maxlength="100"
                                                             value="#{bloqueoPersona.personaBloqueo.persona.razonSocial}"
                                                             required="true" requiredMessage="Debe escribir la razón social."
                                                             size="40" label="Razón social" />
                                                <p:message for="razonSocial" display="icon"></p:message>
                                            </h:panelGrid>
                                        </h:panelGrid>

                                        <h:panelGrid columns="2">
                                            <h:panelGrid columns="2">
                                                <h:outputLabel value="DV" styleClass="outputLabelStyle" />
                                                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                            </h:panelGrid>
                                        </h:panelGrid>
                                        <h:panelGrid columns="2">
                                            <h:inputText id="dv" maxlength="1"
                                                         value="#{bloqueoPersona.personaBloqueo.persona.digitoVerificacion}"
                                                         required="true" requiredMessage="El dígito de verificación es obligatorio."
                                                         size="2" label="DV" />
                                            <p:message for="dv" display="icon"></p:message>
                                        </h:panelGrid>

                                    </h:panelGrid>
                                </p:fieldset>
                            </p:fieldset>
                        </p:fieldset>
                        <p:fieldset id="fs4" rendered="#{bloqueoPersona.tipoBloqueo0}"
                                    style="border:0px">

                            <h:panelGrid columns="5">

                                <h:panelGrid columns="2">
                                    <h:panelGrid columns="2">
                                        <h:outputLabel value="Fecha inicial: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                    </h:panelGrid>
                                    <h:panelGrid columns="4">
                                        <p:spacer width="7" height="0" />
                                        <p:calendar id="fechaInicial"
                                                    value="#{bloqueoPersona.fechaInicial}" navigator="true"
                                                    label="Fecha inicial" showOn="both"
                                                    pattern="#{general.formatoFechaHora}" timeZone="GMT-05"
                                                    title="#{general.formatoFechaUsuario}" tabindex="0"
                                                    maxdate="#{general.fechaActual}"
                                                    locale="es_CO" effect="slideDown" required="true" 
                                                    requiredMessage="Debe seleccionar la fecha inicial."
                                                    size="12">
                                        </p:calendar>
                                        <p:message for="fechaInicial" display="icon"></p:message>
                                    </h:panelGrid>
                                </h:panelGrid>
                                <h:panelGrid columns="2">
                                    <h:panelGrid columns="3">
                                        <p:spacer width="1" height="0" />
                                        <h:outputLabel value="Fecha final: "
                                                       styleClass="outputLabelStyle" />
                                        <p:spacer width="1" height="0" />
                                    </h:panelGrid>
                                    <h:panelGrid columns="3">
                                        <p:calendar id="fechaFinal"
                                                    value="#{bloqueoPersona.fechaFinal}" navigator="true"
                                                    label="Fecha final" pattern="#{general.formatoFechaHora}"
                                                    timeZone="GMT-05" showOn="both"
                                                    title="#{general.formatoFechaUsuario}" tabindex="0"
                                                    locale="es_CO" effect="slideDown" size="12">

                                        </p:calendar>
                                        <p:message for="fechaFinal" display="icon"></p:message>
                                    </h:panelGrid>
                                </h:panelGrid>


                                <h:panelGrid columns="2">                                                                      
                                    <h:panelGrid columns="3">
                                        <p:spacer width="1" height="0" />
                                        <h:outputLabel value="Fecha envio: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                    </h:panelGrid>                                                                    
                                    <h:panelGrid columns="3">
                                        <p:calendar id="fechaEnvio"
                                                    value="#{bloqueoPersona.fechaEnvio}" navigator="true"
                                                    label="Falta registrar la fecha de envío, verifique" pattern="#{general.formatoFechaHora}"
                                                    showOn="both" title="#{general.formatoFechaUsuario}"
                                                    maxdate="#{general.fechaActual}"
                                                    tabindex="0" effect="slideDown" size="12" required="true" 
                                                    requiredMessage="Debe seleccionar la fecha de envío."/>
                                        <p:message for="fechaEnvio" display="icon"></p:message>
                                    </h:panelGrid>
                                </h:panelGrid>                                                                  


                                <h:panelGrid columns="2">
                                    <h:panelGrid columns="2">
                                        <h:outputLabel value="Fecha recibido: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                    </h:panelGrid>
                                    <h:panelGrid columns="3">
                                        <p:calendar id="fechaRecibido"
                                                    value="#{bloqueoPersona.fechaRecibido}" navigator="true"
                                                    label="La fecha de recibido es obligatoria, por favor registrar" pattern="#{general.formatoFecha}"
                                                    showOn="both" title="#{general.formatoFechaUsuario}"
                                                    maxdate="#{general.fechaActual}"
                                                    tabindex="0" effect="slideDown" required="true" 
                                                    requiredMessage="Debe escribir la fecha de recibido."
                                                    size="12">
                                        </p:calendar>
                                        <p:message for="fechaRecibido" display="icon"></p:message>
                                    </h:panelGrid>
                                </h:panelGrid>


                                <h:panelGrid columns="2">
                                    <h:panelGrid columns="2">
                                        <h:outputLabel value="Número Radicación:"
                                                       styleClass="outputLabelStyle" />
                                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                    </h:panelGrid>
                                    <p:inputText id="numeroRadicacion" required="true"
                                                 requiredMessage="Debe escribir el número de radicación."
                                                 value="#{bloqueoPersona.numeroRadicado}"
                                                 label="No ha registrado número de radicación, verifique" 
                                                 maxlength="30" style="width:170px;height:14px;">
                                    </p:inputText> 
                                </h:panelGrid>																                                                                


                            </h:panelGrid>
                        </p:fieldset>

                        <h:panelGrid columns="2">

                            <p:commandButton value="Validar" id="btnValidarDatos"
                                             action="#{bloqueoPersona.validar}"
                                             update=":msgsBP, solDocFormUP" onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide();"
                                             disabled="#{bloqueoPersona.banderaValidar}" ajax="true"
                                             rendered="#{!bloqueoPersona.tipoBloqueo2}" icon="ui-icon-check" />

                            <p:fieldset id="fs5" rendered="#{bloqueoPersona.tipoBloqueo2}"
                                        style="border:0px">
                                <h:panelGrid columns="1">
                                    <h:outputLabel value="Nota: " styleClass="noteLabelStyle" />

                                    <h:outputText
                                        value="Utilice la opción de marcación masiva solo si cuenta con un archivo de soporte y un archivo de marcación masiva con la estructura adecuada."
                                        styleClass="noteTextStyle" />

                                    <p:spacer width="0" height="10" />
                                    <p:commandButton value="#{bloqueoPersona.mensajeCargaArchivo}"
                                                     action="#{bloqueoPersona.inicializarDatosArchivoBloqueoMasivo}"
                                                     id="btnCargarArchivo" onclick="gestionarArchivosWV.show()"
                                                     disabled="#{!bloqueoPersona.banderaValidar}"
                                                     icon="ui-icon-document" onstart="statusDialog2.show();"
                                                     oncomplete="statusDialog2.hide();"
                                                     rendered="#{bloqueoPersona.tipoBloqueo2}"
                                                     update=":gestionArchivosFormUP,:gestionArchivosForm2UP" />
                                </h:panelGrid>
                            </p:fieldset>
                        </h:panelGrid>

                    </p:fieldset>

                    <p:panel style="border: 0px" rendered="#{bloqueoPersona.laBandera}">
                        <h:panelGrid columns="1">
                            <p:spacer width="0" height="15" />
                            <h:outputText
                                value="Para marcar una persona debe contar con el archivo de soporte de la marcación. "
                                styleClass="outputTextStyle"
                                style="position: relative; left: 10px;" />
                            <p:spacer width="0" height="10" />

                            <p:commandButton value="#{bloqueoPersona.mensajeCargaArchivo}"
                                             action="#{bloqueoPersona.inicializarDatosArchivoBloqueo}"
                                             id="btnCargarArchivo2" onclick="gestionarArchivoWV.show()"
                                             disabled="#{!bloqueoPersona.banderaValidar}"
                                             update=":gestionArchivosFormUP2"
                                             icon="ui-icon-document" onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide();"
                                             rendered="#{bloqueoPersona.tipoBloqueo0}" />
                        </h:panelGrid>
                    </p:panel>
                </h:form>

            </p:tab>

        </p:tabView>
        <h:form>
            <p:spacer height="0" width="30" />

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar" icon="ui-icon-close"
                                 action="#{tareasPendientes.cerrar}" ajax="false" immediate="true" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>

        <p:dialog header="Gestión de archivos de marcación de persona"
                  widgetVar="gestionarArchivosWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="520" width="720">
            <p:ajax event="close" listener="#{bloqueoPersona.cerrarEsc}"
                    update=":msgsDP2" />
            <ui:include src="gestionArchivosPersonas.xhtml" />
        </p:dialog>

        <p:dialog header="Gestión archivo marcación de persona"
                  widgetVar="gestionarArchivoWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="550" width="650">
            <p:ajax event="close" listener="#{bloqueoPersona.cerrarEsc}"
                    update=":msgsDP22" />
            <ui:include src="gestionAPersonas.xhtml" />
        </p:dialog>

        <misc:confirmationDialogWithCloseDecisionCC id="mensajeConfirmacion"
                                                    confirmMessage="#{bloqueoPersona}" confirmUpdate="msgInfoFis"
                                                    confirmAction="#{bloqueoPersona.terminarYBloquearOtraP}"
                                                    noAction="#{bloqueoPersona.terminar}"
                                                    confirmDialogWV="guardarPersonaBloqueoWV" ajaxBehavior="false" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmMessage="#{bloqueoPersona}" confirmUpdate="msgInfoFis"
                                           confirmAction="#{bloqueoPersona.terminarYBloquearOtraP}"
                                           noAction="#{bloqueoPersona.terminar}" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="false"
                                           selectedDocumentAtt="#{bloqueoPersona.reporteBloqueoMasivoPersonas.urlWebReporte}"
                                           doctypeAtt="#{bloqueoPersona.reporteBloqueoMasivoPersonas.tipoMimeReporte}"
                                           headerLabel="Resumen de marcación masivo de personas" />

        <misc:docViewerWithCloseDecisionCC id="docVDocSoporte"
                                           confirmMessage="#{previsualizacionDocumento}" confirmUpdate=":msgsBP"
                                           confirmAction="#{previsualizacionDocumento.cerrarVistaPreliminarDocumento}"
                                           confirmDialogWV="docViewerDSWV" ajaxBehavior="true"
                                           noRendered="false" yesLabel="Aceptar"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{previsualizacionDocumento.tipoMimeDocumento}"
                                           headerLabel="Documento soporte de marcación de persona(s)" />

        <p:dialog header="Listado de propietarios" dynamic="true"
                  widgetVar="listaPropietariosWV" resizable="true" showEffect="fade"
                  maximizable="true" hideEffect="explode" modal="true"
                  width="700" appendToBody="true" id="listaPropietarios">

            <h:form id="listaPropietariosForm">
                <p:dataTable var="persona"
                             selection="#{bloqueoPersona.personaSeleccionada}"
                             value="#{bloqueoPersona.personasCoincidentes}"
                             rowKey="#{persona.id}"
                             paginator="true" rows="5"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                             emptyMessage="No existen personas coincidentes.">

                    <p:column selectionMode="single" style="width:18px" />

                    <p:column headerText="Tipo identificación">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{persona.tipoIdentificacion}" />
                    </p:column>

                    <p:column headerText="No. identificación">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{persona.numeroIdentificacion}" />
                    </p:column>

                    <p:column headerText="DV">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{persona.digitoVerificacion}" />
                    </p:column>

                    <p:column headerText="Nombre o razón social">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{persona.nombre}" />
                    </p:column>

                    <p:column headerText="Sigla">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{persona.sigla}" />
                    </p:column>

                </p:dataTable>
                <h:panelGrid columns="2" style="text-align:left">
                    <p:commandButton icon="ui-icon-check" value="Aceptar" 
                                     title="Aceptar" process="@form" update=":bloquearPersonaTabView:solDocFormUP"
                                     action="#{bloqueoPersona.aceptarSeleccion}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide(); listaPropietariosWV.hide();">
                    </p:commandButton>
                    <p:commandButton icon="ui-icon-close" value="Cancelar"
                                     title="Cancelar" onclick="listaPropietariosWV.hide();">
                    </p:commandButton>

                </h:panelGrid>
            </h:form>
        </p:dialog>

    </ui:define>
</ui:composition>